Guide de l’utilisateur

# Index

Les attributs et les requêtes sont des caractéristiques clés de Haiku. Alors que les attributs sont utiles par eux même, pour afficher des informations supplémentaires d'un fichier, ils doivent être indexés pour faire l'objet d'une requête. Ainsi, ils sont classés dans une liste, ce qui rend les requêtes rapides comme l'éclair.
L'indexation fait partie du système de fichiers et est conservée dans chaque volume ou partition séparément.

## Commandes d'indexation dans le Terminal

Il existe plusieurs commandes pour gérer les indexes :

- lsindex - Affiche les attributs indexés sur le volume ou la partition actuel.
  Voici les attributs qui sont indexés par défaut :

     ~ ->lsindex
    BEOS:APP_SIG
    MAIL:account
    MAIL:cc
    MAIL:chain
    MAIL:draft
    MAIL:flags
    MAIL:from
    MAIL:name
    MAIL:pending_chain
    MAIL:priority
    MAIL:reply
    MAIL:status
    MAIL:subject
    MAIL:thread
    MAIL:to
    MAIL:when
    META:address
    META:city
    META:company
    META:country
    META:email
    META:fax
    META:group
    META:hphone
    META:name
    META:nickname
    META:state
    META:url
    META:wphone
    META:zip
    _signature
    _status
    _trk/qrylastchange
    _trk/recentQuery
    be:deskbar_item_status
    last_modified
    name
    size

- mkindex - Ajoute l'indexation d'un attribut à un volume ou à une partition.

    Usage: mkindex [options] <attribute>
    Creates a new index for the specified attribute.

      -d, --volume=PATH     a path on the volume to which the index will be added,
                            defaults to current volume.
      -t, --type=TYPE       the type of the attribute being indexed.  One of "int",
                            "llong", "string", "float", or "double".
                            Defaults to "string".
          --copy-from       path to volume to copy the indexes from.
      -v, --verbose         print information about the index being created

Seuls les nouveaux fichiers portant cet attribut sont pris en compte automatiquement dans l'index !
Les fichiers existants doivent être ajoutés manuellement en les copiant et en supprimant les originaux par la suite. Sinon, vous pouvez utiliser l'outil reindex.

- reindex - Insère les attributs des fichiers existants dans l'indexation nouvellement créée sur le volume ou la partition.

    Usage: reindex [-rvf] attr <list of filenames and/or directories>
      -r    enter directories recursively
      -v    verbose output
      -f    create/update all indices from the source volume,
            "attr" is the path to the source volume

- rmindex - Retire l'indexation d'un attribut à un volume ou à une partition.

    Usage: rmindex [OPTION]... INDEX_NAME

    Removes the index named INDEX_NAME from a disk volume.  Once this has been
    done, it will no longer be possible to use the query system to search for
    files with the INDEX_NAME attribute.

      -d, --volume=PATH     a path on the volume from which the index will be
                             removed
      -h, --help            display this help and exit
      -p, --pattern         INDEX_NAME is a pattern
      -v, --verbose         print information about the index being removed

    INDEX_NAME is the name of a file attribute.

    If no volume is specified, the volume of the current directory is assumed.